Skip to main content
GET
Get Job Run Image Pull Progress

Path Parameters

uuid
string<uuid>
required

Response

The latest image pull progress, or null fields if no progress is available.

download_percentage
number | null
required

Estimated image download percentage, from 0 to 100. Null when the total download size is not known.

latest
object | null
required

The latest image pull event, or null if none is available. type is DOCKER_IMAGE_PULL_PROGRESS. Inside payload, downloaded_bytes is the number of bytes downloaded so far. Optional fields include total_bytes (expected download size), image, tag, docker_status, and error_message. Other payload fields may be added. The event does not include node_uuid.

speed_bytes_per_sec
number | null
required

Estimated recent download speed in bytes per second. Null when there are not enough valid progress samples to calculate a speed.